Bug 175497 - sysutils/boxbackup rc.d files have wrong path
sysutils/boxbackup rc.d files have wrong path
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-22 01:50 UTC by thompsa
Modified: 2013-02-21 19:00 UTC (History)
0 users

See Also:


Attachments
boxbackup.diff.txt (3.35 KB, text/plain; charset=US-ASCII)
2013-01-29 20:32 UTC, thompsa
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description thompsa freebsd_committer 2013-01-22 01:50:00 UTC
Both /usr/local/etc/rc.d/bbackupd and /usr/local/etc/rc.d/bbstored use a command path of /usr/local/bin while boxbackup is actually installed under /usr/local/sbin
Comment 1 Edwin Groothuis freebsd_committer 2013-01-22 01:50:06 UTC
Maintainer of sysutils/boxbackup,

Please note that PR ports/175497 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175497

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-01-22 01:50:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 James O'Gorman 2013-01-22 08:59:01 UTC
I approve for this to be fixed.

I have a patch to fix this and other issues, however it wasn't finished
before Redports was taken down so it's probably best this gets fixed
immediately.

This will also need fixing in sysutils/boxbackup-devel.

Thanks.

James
Comment 4 thompsa freebsd_committer 2013-01-29 20:32:58 UTC
I have an additional patch which James has eyeballed.

This fixes two further issues

         - The default config directory changed from <prefix>/etc/box
to <prefix>/etc/boxbackup
           in 0.11rc4 (http://www.boxbackup.org/changeset/2498)
         - Always use the pidfile /var/run/boxbackup.pid for bbackupd,
the rc.d/bbackupd
           file expects it to be there rather than the user supplied
working-dir. It was
           too easy to have multiple copies running.
Comment 5 Mark Linimon freebsd_committer 2013-01-30 02:31:40 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 6 Bryan Drewery freebsd_committer 2013-02-06 21:56:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 7 Bryan Drewery freebsd_committer 2013-02-06 21:57:01 UTC
State Changed
From-To: open->closed

Fixed!
Comment 8 dfilter freebsd_committer 2013-02-06 21:57:01 UTC
Author: bdrewery
Date: Wed Feb  6 21:56:48 2013
New Revision: 311799
URL: http://svnweb.freebsd.org/changeset/ports/311799

Log:
  - Fix rc scripts looking for their commands in the wrong
    place, broken since r280414
  - Trim header
  
  PR:		ports/175497
  Reported by:	thompsa@
  Approved by:	James O'Gorman <james@netinertia.co.uk> (maintainer)

Modified:
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/files/bbackupd.in
  head/sysutils/boxbackup/files/bbstored.in

Modified: head/sysutils/boxbackup/Makefile
==============================================================================
--- head/sysutils/boxbackup/Makefile	Wed Feb  6 21:47:53 2013	(r311798)
+++ head/sysutils/boxbackup/Makefile	Wed Feb  6 21:56:48 2013	(r311799)
@@ -1,13 +1,9 @@
-# New ports collection makefile for: boxbackup
-# Date created:		19 December 2004
-# Whom:			James O'Gorman <james@netinertia.co.uk>
-#
+# Created by: James O'Gorman <james@netinertia.co.uk>
 # $FreeBSD$
-#
 
 PORTNAME=	boxbackup
 PORTVERSION=	0.11.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	${CLIENT_OR_SERVER}

Modified: head/sysutils/boxbackup/files/bbackupd.in
==============================================================================
--- head/sysutils/boxbackup/files/bbackupd.in	Wed Feb  6 21:47:53 2013	(r311798)
+++ head/sysutils/boxbackup/files/bbackupd.in	Wed Feb  6 21:56:48 2013	(r311799)
@@ -22,7 +22,7 @@ load_rc_config $name
 
 pidfile=${bbackupd_pidfile:-"/var/run/bbackupd.pid"}
 
-command="%%PREFIX%%/bin/bbackupd"
+command="%%PREFIX%%/sbin/bbackupd"
 extra_commands="reload"
 
 run_rc_command "$1"

Modified: head/sysutils/boxbackup/files/bbstored.in
==============================================================================
--- head/sysutils/boxbackup/files/bbstored.in	Wed Feb  6 21:47:53 2013	(r311798)
+++ head/sysutils/boxbackup/files/bbstored.in	Wed Feb  6 21:56:48 2013	(r311799)
@@ -22,7 +22,7 @@ load_rc_config $name
 
 pidfile=${bbstored_pidfile:-"/var/run/bbstored.pid"}
 
-command="%%PREFIX%%/bin/bbstored"
+command="%%PREFIX%%/sbin/bbstored"
 extra_commands="reload"
 
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2013-02-07 00:23:04 UTC
Author: bdrewery
Date: Thu Feb  7 00:22:55 2013
New Revision: 311807
URL: http://svnweb.freebsd.org/changeset/ports/311807

Log:
  - Always use /var/run/bbackupd.pid for the server pidfile
  - The default configuration directory has moved from
    /usr/local/etc/box to /usr/local/etc/boxbackup
  
  PR:		ports/175497
  Submitted by:	thompsa@
  Approved by:	James O'Gorman <james@netinertia.co.uk> (maintainer)

Added:
  head/sysutils/boxbackup/files/patch-bbackupd-config   (contents, props changed)
  head/sysutils/boxbackup/files/pkg-message.server.in
     - copied, changed from r311797, head/sysutils/boxbackup/files/pkg-message.server
Deleted:
  head/sysutils/boxbackup/files/pkg-message.server
Modified:
  head/UPDATING
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/pkg-plist

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Wed Feb  6 23:40:25 2013	(r311806)
+++ head/UPDATING	Thu Feb  7 00:22:55 2013	(r311807)
@@ -6,6 +6,16 @@ You should get into the habit of checkin
 you update your ports collection, before attempting any port upgrades.
 
 20130206:
+  AFFECTS: users of sysutils/boxbackup
+  AUTHOR: bdrewery@FreeBSD.org
+
+  The default location of the configuration files changed from
+  /usr/local/etc/box to /usr/local/etc/boxbackup. Move your
+  configuration after upgrading:
+
+     mv /usr/local/etc/box /usr/local/etc/boxbackup
+
+20130206:
   AFFECTS: users of x11/wbar
   AUTHOR: nivit@FreeBSD.org
 

Modified: head/sysutils/boxbackup/Makefile
==============================================================================
--- head/sysutils/boxbackup/Makefile	Wed Feb  6 23:40:25 2013	(r311806)
+++ head/sysutils/boxbackup/Makefile	Thu Feb  7 00:22:55 2013	(r311807)
@@ -3,7 +3,7 @@
 
 PORTNAME=	boxbackup
 PORTVERSION=	0.11.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	${CLIENT_OR_SERVER}
@@ -89,7 +89,8 @@ post-patch:
 	@${CAT} ${FILESDIR}/pkg-message.client >> ${PKGMESSAGE}
 .endif
 .if !defined(WITHOUT_SERVER)
-	@${CAT} ${FILESDIR}/pkg-message.server >> ${PKGMESSAGE}
+	@${SED} -e 's,%%PREFIX%%,${PREFIX},g' \
+	  ${FILESDIR}/pkg-message.server.in >> ${PKGMESSAGE}
 .endif
 
 post-configure:
@@ -97,12 +98,12 @@ post-configure:
 
 post-install:
 .if !defined(WITHOUT_CLIENT)
-	@${MKDIR} -m 0700 ${PREFIX}/etc/box/bbackupd
+	@${MKDIR} -m 0700 ${PREFIX}/etc/boxbackup/bbackupd
 	@${MKDIR} ${PREFIX}/etc/periodic/monthly
 	${INSTALL_SCRIPT} ${WRKDIR}/999.boxbackup ${PREFIX}/etc/periodic/monthly
 .endif
 .if !defined(WITHOUT_SERVER)
-	@${MKDIR} -m 0700 ${PREFIX}/etc/box/bbstored
+	@${MKDIR} -m 0700 ${PREFIX}/etc/boxbackup/bbstored
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Added: head/sysutils/boxbackup/files/patch-bbackupd-config
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/boxbackup/files/patch-bbackupd-config	Thu Feb  7 00:22:55 2013	(r311807)
@@ -0,0 +1,11 @@
+--- bin/bbackupd/bbackupd-config.in.orig	2013-01-25 13:17:39.942303010 +1300
++++ bin/bbackupd/bbackupd-config.in	2013-01-25 13:18:04.021348906 +1300
+@@ -445,7 +445,7 @@
+ 
+ Server
+ {
+-	PidFile = $working_dir/bbackupd.pid
++	PidFile = /var/run/bbackupd.pid
+ }
+ 
+ 

Copied and modified: head/sysutils/boxbackup/files/pkg-message.server.in (from r311797, head/sysutils/boxbackup/files/pkg-message.server)
==============================================================================
--- head/sysutils/boxbackup/files/pkg-message.server	Wed Feb  6 21:34:52 2013	(r311797, copy source)
+++ head/sysutils/boxbackup/files/pkg-message.server.in	Thu Feb  7 00:22:55 2013	(r311807)
@@ -2,3 +2,7 @@
 To run bbstored at startup, add bbstored_enable="YES" to /etc/rc.conf
 Please see http://www.boxbackup.org/server.html for server configuration
 options
+
+The default location of configuration files changed from %%PREFIX%%/etc/box to
+%%PREFIX%%/etc/boxbackup, if you are upgrading then run 
+  mv %%PREFIX%%/etc/box %%PREFIX%%/etc/boxbackup

Modified: head/sysutils/boxbackup/pkg-plist
==============================================================================
--- head/sysutils/boxbackup/pkg-plist	Wed Feb  6 23:40:25 2013	(r311806)
+++ head/sysutils/boxbackup/pkg-plist	Thu Feb  7 00:22:55 2013	(r311807)
@@ -7,11 +7,11 @@
 %%SERVER%%sbin/bbstored-certs
 %%SERVER%%sbin/bbstored-config
 %%SERVER%%sbin/raidfile-config
-%%CLIENT%%@exec mkdir -p -m 0700 %D/etc/box/bbackupd
-%%SERVER%%@exec mkdir -p -m 0700 %D/etc/box/bbstored
-%%CLIENT%%@dirrmtry etc/box/bbackupd
-%%SERVER%%@dirrmtry etc/box/bbstored
+%%CLIENT%%@exec mkdir -p -m 0700 %D/etc/boxbackup/bbackupd
+%%SERVER%%@exec mkdir -p -m 0700 %D/etc/boxbackup/bbstored
+%%CLIENT%%@dirrmtry etc/boxbackup/bbackupd
+%%SERVER%%@dirrmtry etc/boxbackup/bbstored
 etc/periodic/monthly/999.boxbackup
 @dirrmtry etc/periodic/monthly
 @dirrmtry etc/periodic
-@dirrmtry etc/box
+@dirrmtry etc/boxbackup
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2013-02-21 18:56:38 UTC
Author: thompsa (src committer)
Date: Thu Feb 21 18:56:13 2013
New Revision: 312733
URL: http://svnweb.freebsd.org/changeset/ports/312733

Log:
  Add missed change in r311807, the rc.d files need to point at the new config
  location.
  
  PR:		ports/175497
  Approved by:	bdrewery

Modified:
  head/sysutils/boxbackup/Makefile
  head/sysutils/boxbackup/files/bbackupd.in
  head/sysutils/boxbackup/files/bbstored.in

Modified: head/sysutils/boxbackup/Makefile
==============================================================================
--- head/sysutils/boxbackup/Makefile	Thu Feb 21 18:12:58 2013	(r312732)
+++ head/sysutils/boxbackup/Makefile	Thu Feb 21 18:56:13 2013	(r312733)
@@ -3,7 +3,7 @@
 
 PORTNAME=	boxbackup
 PORTVERSION=	0.11.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	sysutils
 MASTER_SITES=	SF
 PKGNAMESUFFIX=	${CLIENT_OR_SERVER}

Modified: head/sysutils/boxbackup/files/bbackupd.in
==============================================================================
--- head/sysutils/boxbackup/files/bbackupd.in	Thu Feb 21 18:12:58 2013	(r312732)
+++ head/sysutils/boxbackup/files/bbackupd.in	Thu Feb 21 18:56:13 2013	(r312733)
@@ -18,7 +18,7 @@ rcvar=bbackupd_enable
 load_rc_config $name
 
 : ${bbackupd_enable:="NO"}
-: ${bbackupd_flags:="%%PREFIX%%/etc/box/bbackupd.conf"}
+: ${bbackupd_flags:="%%PREFIX%%/etc/boxbackup/bbackupd.conf"}
 
 pidfile=${bbackupd_pidfile:-"/var/run/bbackupd.pid"}
 

Modified: head/sysutils/boxbackup/files/bbstored.in
==============================================================================
--- head/sysutils/boxbackup/files/bbstored.in	Thu Feb 21 18:12:58 2013	(r312732)
+++ head/sysutils/boxbackup/files/bbstored.in	Thu Feb 21 18:56:13 2013	(r312733)
@@ -18,7 +18,7 @@ rcvar=bbstored_enable
 load_rc_config $name
 
 : ${bbstored_enable:="NO"}
-: ${bbstored_flags:="%%PREFIX%%/etc/box/bbstored.conf"}
+: ${bbstored_flags:="%%PREFIX%%/etc/boxbackup/bbstored.conf"}
 
 pidfile=${bbstored_pidfile:-"/var/run/bbstored.pid"}
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"